public class RunChat
{

	/**
	 * Default server port
	 */
	public static final int DEFAULTPORT = 1394;
	/**
	 * Default time out to wait for client connection : 5 seconds
	 */
	public static final int DEFAULTTIMEOUT = 5000;

	/**
	 * Lecture d'un entier  partir d'une chane de caractres
	 * @param s la chaine  lire
	 * @return l'entier pars dans la chaine de caractre ou bien null
	 * s'il s'est produit une erreur de parsing
	 */
	protected static Integer readInt(String s)
	{
		try
		{
			Integer value = new Integer(Integer.parseInt(s));
			return value;
		}
		catch (NumberFormatException e)
		{
			System.err.println("readInt : " + s + " is not a number");
			return null;
		}
	}
}
