import java.awt.EventQueue;

import widgets.ExampleFrame;


/**
 * Programme principal lanant une {@link ExampleFrame}
 * @author davidroussel
 *
 */
public class RunExampleFrame
{

	/**
	 * Programme principal
	 * @param args
	 */
	public static void main(String[] args)
	{
		/*
		 * Insertion de la frame dans la file des vnements GUI
		 */
		EventQueue.invokeLater(new Runnable()
		{
			@Override
			public void run()
			{
				try
				{
					ExampleFrame frame = new ExampleFrame();
					frame.pack();
					frame.setVisible(true);
				}
				catch (Exception e)
				{
					e.printStackTrace();
				}
			}
		});

	}

}
